PSTREE(1)

BEZEICHNUNG
pstree - Prozesse in einer Baumansicht anzeigen

ÜBERSICHT
pstree [-a, --arguments] [-c, --compact-not] [-C, --color Attribut] [-g, --show-pgids] [-h, --highlight-all, -HPID, --highlight-pid PID] [-l, --long] [-n, --numeric-sort] [-N, --ns-sort Namensraum] [-p, --show-pids] [-s, --show-parents] [-S, --ns-changes] [-t, --thread-names] [-T, --hide-threads] [-u, --uid-changes] [-Z, --security-context] [-A, --ascii, -G, --vt100, -U, --unicode] [PID, Benutzer]
pstree -V, --version

BESCHREIBUNG
pstree zeigt die laufenden Prozesse in einer Baumansicht an. Die Wurzel des Baums wird anhand der angegebenen PID oder mittels init gewählt, falls die PID weggelassen wird. Wenn ein Benutzername angegeben wird, werden die Wurzeln aller Prozessbäume anhand der Prozesse gewählt, die diesem Benutzer gehören.

pstree führt identische Zweige visuell zusammen, indem diese in eckige Klammern gesetzt werden und ihnen die Anzahl der Wiederholungen vorangestellt wird. Zum Beispiel wird

    init-+-getty
         |-getty
         |-getty
         `-getty

zu

    init---4*[getty]

Kind-Threads eines Prozesses werden unter dem Elternprozess angezeigt und der Prozessname in geschweifte Klammern gesetzt, zum Beispiel

    icecast2---13*[{icecast2}]

Falls pstree als pstree.x11 aufgerufen wird, bittet es den Benutzer am Ende der Zeile, die Eingabetaste zu drücken und kehrt nicht zurück, bis dies geschehen ist. Dies ist nützlich, wenn pstree in einem X-Terminal ausgeführt wird.

Bestimmte Kernel- oder Einhängeparameter, wie die Option hidepid für procfs, verstecken Informationen für einige Prozesse. In diesen Situationen versucht pstree, die Baumansicht ohne diese Informationen zu erstellen, wobei die Prozessnamen als Fragezeichen dargestellt werden.

OPTIONEN

-a  zeigt Befehlszeilenargumente an. Falls die Befehlszeile eines Prozesses ausgelagert ist, wird dieser Prozess in Klammern angezeigt. Die Option -a deaktiviert implizit die Verdichtung für Prozesse, aber nicht für Threads.

-A  verwendet ASCII-Zeichen zum Darstellen des Baums.

-c  deaktiviert die Verdichtung identischer Unterbäume. Standardmäßig werden Unterbäume verdichtet, wo immer es möglich ist.

-C  färbt den Prozessnamen durch das angegebene Attribut ein. Gegenwärtig akzeptiert pstree nur Alter, wodurch Farben nach Alter des Prozesses zugewiesen werden. Prozesse, die jünger als 60 Sekunden sind, werden grün dargestellt, Prozesse, die jünger als eine Stunde sind, in gelb und die verbleibenden Prozesse in rot.

-g  zeigt Prozessgruppenkennungen (PGIDs) an. Die PGIDs werden als Dezimalzahlen in Klammern nach jedem der Prozessnamen angezeigt. -g deaktiviert die Verdichtung implizit. Falls sowohl PIDs als auch PGIDs angezeigt werden, erscheinen die PIDs zuerst.

-G  verwendet VT100-Zeichen zum Darstellen von Linien.

-h  hebt den aktuellen Prozess und dessen Elternprozess hervor. Diese Option ist unwirksam, wenn das Terminal keine Hervorhebung unterstützt oder wenn weder der aktuelle Prozess noch irgendeiner seiner Elternprozesse im Unterbaum liegen, der angezeigt wird.

-H  agiert wie -h, hebt aber stattdessen den angegebenen Prozess hervor. Im Gegensatz zu -h schlägt pstree mit -H fehl, falls keine Hervorhebung verfügbar ist.

-l  zeigt lange Zeilen an. Standardmäßig werden Zeilen entweder gemäß der Unmgebungsvariable COLUMN oder auf die Breite der Anzeige beschnitten. Falls keine dieser Methoden funktioniert, werden standardmäßig 132 Spalten verwendet.

-n  sortiert Prozesse mit dem gleichen Elternprozess nach PID anstatt nach Namen (numerische Sortierung).

-N  zeigt individuelle Bäume für jeden Namensraum des angegebenen Typs an. Folgende Typen sind verfügbar: ipc, mnt, net, pid, user, uts. Gewöhnliche Benutzer haben keinen Zugriff auf die Informationen der Prozesse anderer Benutzer, daher wird die Ausgabe eingeschränkt sein.

-p  zeigt PIDs an. Die PIDs werden als Dezimalzahlen in Klammern nach jedem der Prozessnamen angezeigt. -p deaktiviert die Verdichtung implizit.

-s  zeigt Elternprozesse des angegebenen Prozesses an.

-S  zeigt Namensraum-Übergänge an. Wie mit -N wird die Ausgabe bei der Ausführung als gewöhnlicher Benutzer eingeschränkt.

-t  zeigt vollständige Namen für Threads an, sofern verfügbar.

-T  versteckt Threads und zeigt nur Prozesse an.

-u  zeigt UID-Übergänge an. Wann immer sich eine UID eines Prozesses von der UID seines Elternprozesses unterscheidet, wird die neue UID in Klammern nach dem Prozessnamen angezeigt.

-U  verwendet UTF-8-Zeichen (Unicode) zum Darstellen der Linien. Unter Linux 1.1-54 und neueren Versionen können Sie auf der Konsole mit echo -e ' 33%8' in den UTF-8-Modus wechseln und diesen mit echo -e ' 33%@' wieder verlassen.

-V  Versionsinformationen anzeigen.

-Z  zeigt den Sicherheitskontext für jeden Prozess an (nur für SELinux). Dieser Schalter funktioniert nur, wenn pstree mit Unterstützung für SELinux kompiliert wurde.

DATEIEN

/proc
    Ort des /proc-Dateisystems

FEHLER
Einige Zeichensätze könnten zu den VT100-Zeichen inkompatibel sein.

SIEHE AUCH
ps(1), top(1).

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.